import Link from "next/link";
import "./CustomLink.scss";

interface ICustomLink {
  children?: React.ReactNode;
  path: string;
  style?: object;
}

const CustomLink: React.FC<ICustomLink> = ({
  children,
  path,
  style,
}: ICustomLink) => {
  return (
    <Link href={path} className="custom-link" style={style}>
      {children}
    </Link>
  );
};

export default CustomLink;
