import Image from "next/image";
import "./GoogleButton.scss";
import google_icon from "./icons/google-icon.svg";

interface IGoogleButton {
  children?: React.ReactNode;
}

const GoogleButton = ({ children }: IGoogleButton) => {
  return (
    <div className="google-btn">
      <Image src={google_icon} alt="Google Icon" />
      {children}
    </div>
  );
};

export default GoogleButton;
