import "./Button.scss";

interface IButton extends React.AllHTMLAttributes<HTMLButtonElement> {
  children: React.ReactNode | null;
}

const Button: React.FC<IButton> = ({
  children,
  onClick,
}: IButton) => {
  return (
    <button className="ui-btn" onClick={onClick}>
      {children}
    </button>
  );
};

export default Button;
