import ReviewCard from "@/Entities/ReviewCard/ReviewCard";
import "./NewsReviewsSection.scss";
import CreateReview from "@/Features/CreateReview/CreateReview";

interface INewsReviewsSectionProps {
  id: number | null | undefined;
  list: IReview[] | undefined;
}

interface IReview {
  id: number;
  author: IAuthor;
  review: string;
  created_at: string;
}

interface IAuthor {
  id: number;
  first_name: string;
  last_name: string;
  image: string;
}

const NewsReviewsSection: React.FC<INewsReviewsSectionProps> = ({
  id,
  list,
}: INewsReviewsSectionProps) => {
  return (
    <div className="news-reviews-section">
      <CreateReview endpoint="news" id={id} />
      <div className="news-reviews-section__container">
        <h3>
          <span />
          Комментарии
        </h3>
        <div>
          {list?.map((item) => (
            <ReviewCard key={item.id} item={item} />
          ))}
        </div>
      </div>
    </div>
  );
};

export default NewsReviewsSection;
